<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
    <h2 id="jhi-stock-heading" jhiTranslate="winpharmApp.stock.home.createOrEditLabel">Create or edit a Stock</h2>
    <div>
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!editForm.get('id').value">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" formControlName="id"
                readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.couvertureMin" for="field_couvertureMin">Couverture Min</label>
            <input type="number" class="form-control" name="couvertureMin" id="field_couvertureMin"
                    formControlName="couvertureMin"/>
            <div *ngIf="editForm.get('couvertureMin').invalid && (editForm.get('couvertureMin').dirty || editForm.get('couvertureMin').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('couvertureMin').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
                <small class="form-text text-danger"
                        *ngIf="editForm.get('couvertureMin').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.get('couvertureMin')?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.couvertureMax" for="field_couvertureMax">Couverture Max</label>
            <input type="number" class="form-control" name="couvertureMax" id="field_couvertureMax"
                    formControlName="couvertureMax"/>
            <div *ngIf="editForm.get('couvertureMax').invalid && (editForm.get('couvertureMax').dirty || editForm.get('couvertureMax').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('couvertureMax').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
                <small class="form-text text-danger"
                        *ngIf="editForm.get('couvertureMax').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.get('couvertureMax')?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.quantite" for="field_quantite">Quantite</label>
            <input type="number" class="form-control" name="quantite" id="field_quantite"
                    formControlName="quantite"/>
            <div *ngIf="editForm.get('quantite').invalid && (editForm.get('quantite').dirty || editForm.get('quantite').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('quantite').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
                <small class="form-text text-danger"
                        *ngIf="editForm.get('quantite').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.get('quantite')?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.datePeremption" for="field_datePeremption">Date Peremption</label>
            <div class="input-group">
                <input id="field_datePeremption" type="text" class="form-control" name="datePeremption" ngbDatepicker  #datePeremptionDp="ngbDatepicker" formControlName="datePeremption"/>
                <span class="input-group-append">
                    <button type="button" class="btn btn-secondary" (click)="datePeremptionDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                </span>
            </div>
            <div *ngIf="editForm.get('datePeremption').invalid && (editForm.get('datePeremption').dirty || editForm.get('datePeremption').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('datePeremption').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.prixAchat" for="field_prixAchat">Prix Achat</label>
            <input type="number" class="form-control" name="prixAchat" id="field_prixAchat"
                    formControlName="prixAchat"/>
            <div *ngIf="editForm.get('prixAchat').invalid && (editForm.get('prixAchat').dirty || editForm.get('prixAchat').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('prixAchat').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
                <small class="form-text text-danger"
                        *ngIf="editForm.get('prixAchat').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.get('prixAchat')?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="winpharmApp.stock.prixVente" for="field_prixVente">Prix Vente</label>
            <input type="number" class="form-control" name="prixVente" id="field_prixVente"
                    formControlName="prixVente"/>
            <div *ngIf="editForm.get('prixVente').invalid && (editForm.get('prixVente').dirty || editForm.get('prixVente').touched)">
                <small class="form-text text-danger"
                        *ngIf="editForm.get('prixVente').errors.required" jhiTranslate="entity.validation.required">
                This field is required.
                </small>
                <small class="form-text text-danger"
                        *ngIf="editForm.get('prixVente').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.get('prixVente')?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>

    </div>
    <div>
        <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
            <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
    <div>
        <button type="button" class="btn btn-primary" (click)="sendStockToProduit()">Sauvegarder</button>
    </div>
</form>
